Deprecated - Modify a given set of assignments.

The api to modify a given set of assignments v1.0 (v1.0/admin/instance/{id}/assignments) is deprecated. The end of life is 31-Dec-2025. Use the following alternative API: PATCH /v2.0/instance/{id}/assignments
API request is only valid for resources created using V1 version. When a V1 resource is modified by using the V2 API, it will be aligned as a V2 resource. Attempting to access V2-exclusive resources with the V1 API will result in a 400 error.
API to make bulk update of the specified assignments. If called by an application owner, the API can modify only assignments for campaigns that the owner created or that contain at least one application that the owner owns.
Entitlements required: manageAccessWorkflow [Manage Access Work Flows].

Path Params
string
required

Campaign Instance ID

Body Params

List of campaign assignments to modify:
Campaign assignment payload details:

- id: Campaign assignment ID.
- reviewer: Details about the campaign reviewer. Required when redirecting an assignment to another user.
- operation: The operation to be executed.


Allowable values for operation are: approved, rejected, redirected, escalated.
approved: Approve an assignment.
rejected: Reject an assignment.
redirected: Redirect an assignment.
escalated: Escalate an assignment.

- justification: A justification for the action taken on the assignment by the reviewer.
- doImmediateFulfillment: Immediate action on the assignment when signOff is manual and doImmediateFulfillment is set to true.

string
required

Assignment Id

string

Application identifier

reviewer
object

Represents a user group

string
required

The operation executed by the reviewer. Supported operations: 'none', 'approved', 'rejected', 'redirected', 'escalated'.

string

Justification of the operation in case of rejections and redirections.

boolean

If the campaign sign-off policy is manual and doImmediateFulfillment is set, the operation is run immediately.

Responses

500

Your operation can't be processed because an internal server error occurred.

Language
URL
Response
Choose an example:
application/json